Commits (3)
......@@ -5,6 +5,8 @@ OpenLDAP 2.5.6 Engineering
Fixed libldap missing mutex unlock on connection alloc failure (ITS#9590)
Fixed lloadd cn=config olcBkLloadClientMaxPending setting (ITS#8747)
Fixed slapd multiple config defaults (ITS#9363)
Build
Fixed library symbol versioning on Solaris (ITS#9591)
OpenLDAP 2.5.5 Release (2021/06/03)
Added libldap LDAP_OPT_TCP_USER_TIMEOUT support (ITS#9502)
......
#! /bin/sh
# From configure.ac Id: 2aac5271417c42d282d2cba67638e629aec8f362 .
# From configure.ac Id: 1c372d9fe8d80795909df859a01abd486462d0a2 .
# Guess values for system-dependent variables and create Makefiles.
# Generated by GNU Autoconf 2.69.
#
......@@ -25810,13 +25810,18 @@ fi
 
OL_VERSIONED_SYMBOLS=""
if test $ol_enable_versioning != no; then
LDVS=`$LD --help < /dev/null 2>/dev/null | grep version-script`
LDVS=`$LD --help < /dev/null 2>/dev/null | grep gnu-version-script`
if test -z "$LDVS"; then
if test $ol_enable_versioning = "yes" ; then
as_fn_error $? "Library symbol versioning requested but not supported" "$LINENO" 5
LDVS=`$LD --help < /dev/null 2>/dev/null | version-script`
if test -z "$LDVS"; then
if test $ol_enable_versioning = "yes" ; then
as_fn_error $? "Library symbol versioning requested but not supported" "$LINENO" 5
fi
else
OL_VERSIONED_SYMBOLS="-Wl,--version-script="
fi
else
OL_VERSIONED_SYMBOLS="-Wl,--version-script="
OL_VERSIONED_SYMBOLS="-z gnu-version-script="
fi
fi
 
......
......@@ -3112,13 +3112,18 @@ fi
OL_VERSIONED_SYMBOLS=""
if test $ol_enable_versioning != no; then
LDVS=`$LD --help < /dev/null 2>/dev/null | grep version-script`
LDVS=`$LD --help < /dev/null 2>/dev/null | grep gnu-version-script`
if test -z "$LDVS"; then
if test $ol_enable_versioning = "yes" ; then
AC_MSG_ERROR([Library symbol versioning requested but not supported])
LDVS=`$LD --help < /dev/null 2>/dev/null | version-script`
if test -z "$LDVS"; then
if test $ol_enable_versioning = "yes" ; then
AC_MSG_ERROR([Library symbol versioning requested but not supported])
fi
else
OL_VERSIONED_SYMBOLS="-Wl,--version-script="
fi
else
OL_VERSIONED_SYMBOLS="-Wl,--version-script="
OL_VERSIONED_SYMBOLS="-z gnu-version-script="
fi
fi
......